package com.zilber.boot.intelligencesite.controller;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.zilber.boot.annotation.Anonymous;
import com.zilber.boot.commoncontroller.BaseController;
import com.zilber.boot.intelligencesite.entity.IProductionPlan;
import com.zilber.boot.intelligencesite.entity.IProgress;
import com.zilber.boot.intelligencesite.entity.IProgressNew;
import com.zilber.boot.intelligencesite.service.IIProductionPlanService;
import com.zilber.boot.intelligencesite.service.IIProgressNewService;
import com.zilber.boot.intelligencesite.service.IIProgressService;
import com.zilber.boot.utils.AjaxResult;
import com.zilber.boot.utils.TreeBuild;
import com.zilber.boot.utils.TreeBuild1;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 进度跟踪表 前端控制器
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@RestController
@RequestMapping("/iprogressNew")
@Api(tags = "进度跟踪新")
public class IProgressNewController extends BaseController {

    @Resource
    private IIProgressNewService iiProgressNewService;
    @Resource
    private IIProductionPlanService iiProductionPlanService;

    @GetMapping("/list")
    @ApiOperation(value="分页查询",notes="分页查询")
    @ResponseBody
    public AjaxResult queryList(IProductionPlan iProductionPlan,Date date, @RequestParam(defaultValue = "1") Integer pageNo,
                                @RequestParam(defaultValue = "10") Integer pageSize) {
        List<IProductionPlan> iProductionPlans = iiProductionPlanService.queryListNew(iProductionPlan,date);
        TreeBuild treeBuild = new TreeBuild(iProductionPlans);
        // 原查询结果转换树形结构
        List<IProductionPlan> list = treeBuild.buildTree();
        PageHelper.startPage(pageNo, pageSize);
        PageInfo<IProductionPlan> page = new PageInfo<>(list);
        return AjaxResult.success(page);
    }



    /***
     * 查询单个
     */
    @GetMapping("/getById")
    @ApiOperation("查询单个")
    public AjaxResult getById(Integer id) {
        return AjaxResult.success(iiProgressNewService.getById(id));
    }


    @PostMapping("/add")
    @ApiOperation("增加")
    public AjaxResult add(@RequestBody IProgressNew iProgressNew) {
        iProgressNew.setCreateTime(new Date());
        iProgressNew.setCreator(getUsername());
        return iiProgressNewService.add(iProgressNew);
    }


    @PutMapping("/update")
    @ApiOperation("修改")
    public AjaxResult update(@RequestBody @Validated IProgressNew iProgressNew) {
        iiProgressNewService.updateById(iProgressNew);
        return AjaxResult.success();
    }

    @DeleteMapping("/delete")
    @ApiOperation("删除")
    public AjaxResult delete(Integer id) {
        return AjaxResult.success(iiProgressNewService.removeById(id));
    }

}
