package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IUser;
import com.zilber.boot.intelligencesite.mapper.IUserMapper;
import com.zilber.boot.intelligencesite.service.IIUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 实名制与信息管理 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IUserServiceImpl extends ServiceImpl<IUserMapper, IUser> implements IIUserService {

    @Resource
    private IUserMapper iUserMapper;

    @Override
    public List<IUser> queryList(IUser iUser) {
        return iUserMapper.queryList(iUser);
    }

    @Override
    public List<Map<String, Object>> workerType() {
        List<IUser> workers = iUserMapper.queryList(null);
        return workers.stream()
                .collect(Collectors.groupingBy(IUser::getWorkType, Collectors.counting()))
                .entrySet().stream()
                .map(entry -> {
                    Map<String, Object> data = new HashMap<>();
                    data.put("name", entry.getKey());
                    data.put("value", entry.getValue());
                    return data;
                })
                .collect(Collectors.toList());
    }
}
