package com.zilber.boot.module.vehicle.controller;

import com.zilber.boot.module.vehicle.dto.pr.DevicePR;
import com.zilber.boot.module.vehicle.service.TourRunService;
import com.zilber.boot.utils.AjaxResult;
import com.zilber.boot.utils.page.PageUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Author LJX
 * @TIME 2025-05-06 11:57
 * @PROJECT intelligence-site
 * created by Intellij IDEA
 * Description
 */
@RestController
@Api(tags = "车辆机械设备管理")
@RequestMapping("/vehicle")
public class VehicleController {

    @Autowired
    private TourRunService service;

    @GetMapping("/list")
    @ApiOperation("设备列表")
    public AjaxResult list(DevicePR pr) {
        return AjaxResult.success(service.list(pr));
    }

    @GetMapping("/stat")
    @ApiOperation("统计")
    public AjaxResult stat() {
        return AjaxResult.success(service.stat());
    }

    @GetMapping("/h5")
    @ApiOperation("h5")
    public AjaxResult h5(
            @RequestParam(required = true) String tabType,
            @RequestParam(required = true) String imei) {
        return AjaxResult.success(service.h5(tabType, imei));
    }

    @GetMapping("/token")
    @ApiOperation("获取途强token")
    public AjaxResult token(){
        return AjaxResult.success(service.token());
    }

}
